cascading.flow.tez.planner.rule.assertion

## Class NoHashJoinAssert

- java.lang.Object
- - cascading.flow.planner.iso.assertion.GraphAssert<ElementGraph>
  - - cascading.flow.planner.rule.RuleAssert
    - - cascading.flow.tez.planner.rule.assertion.NoHashJoinAssert

- All Implemented Interfaces:
    Rule

      public class NoHashJoinAssert
      extends RuleAssert

  Verifies that there are no `HashJoin` pipes in the assembly.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.planner.iso.assertion.GraphAssert

      `GraphAssert.AssertionType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoHashJoinAssert()`

  - ### Method Summary

    - ### Methods inherited from class cascading.flow.planner.rule.RuleAssert

      `getRuleName, getRulePhase, toString, transform`

    - ### Methods inherited from class cascading.flow.planner.iso.assertion.GraphAssert

      `assertion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoHashJoinAssert

          public NoHashJoinAssert()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.